// pages/receiveTicket/receiveTicket.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    yesGet: true,//是否被领取
    ticketUser:[],//优惠券信息
    userPhone:"",//手机号
    titleWord:"",
    presentId:"",//接受的id
    ticketNum:0,
    moreClick:false,//防止重复点击领取
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    app.globalData.present_id = options.shareId;
    this.data.presentId = options.shareId;
    app.globalData.number = options.number;
    this.setData({
      ticketNum: options.number
    })

    if (app.globalData.openId) {
      this.getTicketUser(options.shareId, options.number);
    } else {
      app.globalData.openidSuccessFuc = this.getTicketUser;
    }
  },

  getTicketUser: function (id,number) {//获取赠送优惠券信息
    app.wxRequest(app.globalData.httpUrl + 'couponbuy/presentvisit', { present_id: id, present_num: number }, e => {
      console.log(e)
        if (e.code == 201) {
          var partPhone = e.data.user_phone.slice(0, 3) + "****" + e.data.user_phone.slice(7)
          this.setData({
            ticketUser: e.data,
            yesGet: true,
            userPhone: partPhone
          })
        } else if (e.code == 202) {
          var partPhone = e.data.user_phone.slice(0, 3) + "****" + e.data.user_phone.slice(7)
          this.setData({
            yesGet: false,
            ticketUser: e.data,
            titleWord: e.message,
            userPhone: partPhone
          })
        } else if (e.code == 203) {
          var partPhone = e.data.user_phone.slice(0, 3) + "****" + e.data.user_phone.slice(7)
          this.setData({
            yesGet: false,
            ticketUser: e.data,
            titleWord: e.message,
            userPhone: partPhone
          })
        } else if (e.code == 204) {
          var partPhone = e.data.user_phone.slice(0, 3) + "****" + e.data.user_phone.slice(7)
          this.setData({
            yesGet: false,
            ticketUser: e.data,
            titleWord: e.message,
            userPhone: partPhone
          })
        } else if (e.code == 205) {
          var partPhone = e.data.user_phone.slice(0, 3) + "****" + e.data.user_phone.slice(7)
          this.setData({
            yesGet: false,
            ticketUser: e.data,
            titleWord: e.message,
            userPhone: partPhone
          })
        }
    }, this)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // "p1583474312b94"
  getTicketFn: function () {//点击领取优惠券
    var id = this.data.presentId;
    if (!this.data.moreClick) {
      app.wxRequest(app.globalData.httpUrl + 'couponbuy/receivepresent', { present_id: id }, e => {
        console.log(e)
        this.data.moreClick = true;
        if (e.code == 200) {
          wx.showToast({
            title: '领取成功',
            duration: 500
          })
          setTimeout(() => {
            wx.switchTab({
              url: '/pages/index/index'
            })
          }, 500)
        } else {
          wx.showToast({
            title: e.message,
            duration: 500
          })
        }
      }, this, "POST")
    }
  },
  backIndex:function(){//优惠券已被领取，点击确定返回首页
    wx.switchTab({
      url: '/pages/index/index'
    })
  },
})